# Bootstrap Table for VUE 2
This component it's originally from the [BootstrapVue Project](https://bootstrap-vue.github.io/).
I only took apart the table component, Why? because BootstrapVue still relies
on jQuery and I don't want to load jQuery just for bootstrap, so I use vue-strap instead but vue-strap doesn't
come with a table component, so... table-bootstrap-vue.

## ✔ Getting started

Get the package:
```bash
npm install table-bootstrap-vue
```

Register TableBootstrapVue in your app entrypoint:
```js
import Vue from 'vue'
import TableBootstrapVue from 'table-bootstrap-vue';

Vue.component('b-table', TableBootstrapVue);
```

In your HTML call it like

```html
<b-table
	striped
	hover
	 : items        = "items"
	 : fields       = "fields"
	 : current-page = "currentPage"
	 : per-page     = "perPage"
	 : filter       = "filter">
    <template
		slot  = "name"
		scope = "item">
    	{{item.value.first}} {{item.value.last}}
    </template>
    <template
		slot  = "isActive"
		scope = "item">
    	{{item.value?'Yes :)':'No :('}}
    </template>
    <template
		slot  = "actions"
		scope = "item">
	    <button
			class="btn btn-primary"
			@click="details(item.item)">
			Details
		</button>
    </template>
</b-table>


<!-- PGINATION -->
<div>
	<b-pagination
		size        = "md"
		:total-rows = "this.items.length"
		:per-page   = "perPage"
		v-model     = "currentPage" />
</div>
```
For more documentation on how to use this component you can read the oficial documentation
for bootstrap vue https://bootstrap-vue.github.io/docs/components/table.


## License
MIT



#### Status
This project is in an early stage of development. Any contribution is welcome :D
